Package com.documentum.fc.client.acs

# Interface IDfAcsConfig

All Superinterfaces:
  `IDfPersistentObject`, `IDfSysObject`, `IDfTypedObject`

public interface IDfAcsConfig extends IDfSysObject
This interface represents ACS configuration objects.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `IDfAcsConfig.ProjectionEntry`
  ProjectionEntry interface encapsulates projection target parameters.
  `static interface`
  `IDfAcsConfig.StoreEntry`
  StoreEntry interface encapsulates store type, encryption mode, and compression mode.
  `static interface`
  `IDfAcsConfig.UrlEntry`
  UrlEntry interface encapsulates base url and protocol.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONFIG_TYPE_ACS`
  `static final int`
  `CONFIG_TYPE_CS`

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProjectionEntry(IDfAcsConfig.ProjectionEntry projectionEntry)`
  Adds ProjectionEntry object.
  `void`
  `addStoreEntry(IDfAcsConfig.StoreEntry storeEntry)`
  Adds StoreEntry object.
  `void`
  `addUrlEntry(IDfAcsConfig.UrlEntry urlEntry)`
  Adds UrlEntry object.
  `IDfList`
  `getAcsNetworkLocationIdentifiers()`
  Returns a list of the ACS network location identifiers.
  `int`
  `getConfigType()`
  Returns type of the config. 0 - no projections, i.e.
  `String`
  `getDormancyStatus()`
  Gets the dormancy status for this ACS
  `IDfList`
  `getNearStores()`
  Returns list of names of stores that are near the ACS.
  `String`
  `getObjectName()`
  Returns the ACS name.
  `IDfList`
  `getProjectionEntries()`
  Returns list of ProjectionEntry objects.
  `int`
  `getRWCapability()`
  Deprecated.
  use isEnabled and isSurrogateGetEnabled methods
  `IDfId`
  `getServerConfigId()`
  Returns the ID of the Content Server config object for the ACS.
  `String`
  `getServerMajorVersion()`
  Returns server major version
  `String`
  `getServerMinorVersion()`
  Returns the server minor version
  `IDfList`
  `getStoreEntries()`
  Returns list of StoreEntry objects.
  `IDfList`
  `getUrlEntries()`
  Returns list of UrlEntry objects.
  `boolean`
  `isCacheAcs()`
  Deprecated.
  as of version D6, use `IDfBocsConfig` for cache server config objects.
  `boolean`
  `isEnabled()`
  Returns a flag indicating whether ACS is enabled
  `boolean`
  `isSurrogateGetEnabled()`
  Returns a flag indicating whether both read and a "surrogate get" is enabled
  `IDfAcsConfig.ProjectionEntry`
  `newProjectionEntry(String networkLocationIdentifier, int proximity)`
  Creates ProjectionEntry object.
  `IDfAcsConfig.ProjectionEntry`
  `newProjectionEntry(String host, int port, int proximity)`
  Creates ProjectionEntry object.
  `IDfAcsConfig.ProjectionEntry`
  `newProjectionEntry(String host, int port, int proximity, boolean isEnabled, String networkLocationIdentifier, boolean isNetworkLocationEnabled)`
  Creates ProjectionEntry object.
  `IDfAcsConfig.StoreEntry`
  `newStoreEntry(int storeType, int cryptoMode, int compressionMode)`
  Creates StoreEntry object.
  `IDfAcsConfig.UrlEntry`
  `newUrlEntry(String url, String protocol)`
  Creates UrlEntry object.
  `void`
  `setAcsNetworkLocationIdentifiers(IDfList acsNetworkLocationIdentifiers)`
  Sets the ACS network location identifiers.
  `void`
  `setCacheAcs(boolean isCacheAcs)`
  Deprecated.
  as of version D6, use `IDfBocsConfig` for cache server config objects.
  `void`
  `setConfigType(int configType)`
  Sets type of the config.
  `void`
  `setEnabled(boolean isEnabled)`
  Sets a flag indicating whether ACS is enabled
  `void`
  `setNearStores(IDfList nearStores)`
  Sets list of names of stores that are near the ACS.
  `void`
  `setObjectName(String objectName)`
  Sets the ACS name.
  `void`
  `setProjectionEntries(IDfList projectionEntries)`
  Replace all ProjectionEntry objects.
  `void`
  `setRWCapability(int capability)`
  Deprecated.
  use setEnabled and setSurrogateGetEnabled methods
  `void`
  `setServerConfigId(IDfId serverConfigId)`
  Sets the ID of the Content Server config object for the ACS.
  `void`
  `setServerMajorVersion(String majorVersion)`
  Sets server major version
  `void`
  `setServerMinorVersion(String minorVersion)`
  Sets the server minor version
  `void`
  `setStoreEntries(IDfList storeEntries)`
  Replaces all StoreEntry objects.
  `void`
  `setSurrogateGetEnabled(boolean isEnabled)`
  Sets a flag indicating whether both read and a "surrogate get" is enabled.
  `void`
  `setUrlEntries(IDfList urlEntries)`
  Replaces all UrlEntry objects.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfSysObject

  `addDigitalSignature, addESignature, addNote, addReference, addRendition, addRenditionEx, addRenditionEx2, addRenditionEx3, appendContent, appendContentEx, appendFile, appendFileEx, appendPart, areAttributesModifiable, assemble, asVirtualDocument, attachPolicy, bindFile, branch, cancelCheckout, cancelCheckoutEx, cancelScheduledDemote, cancelScheduledPromote, cancelScheduledResume, cancelScheduledSuspend, canDemote, canPromote, canResume, canSuspend, checkin, checkinEx, checkout, checkoutEx, demote, destroyAllVersions, detachPolicy, disassemble, freeze, getAccessDate, getAccessorApplicationPermit, getAccessorCount, getAccessorName, getAccessorPermit, getAccessorPermitType, getAccessorXPermit, getAccessorXPermitNames, getACL, getACLDomain, getACLName, getAclRefValid, getAcsRequests, getAliasSet, getAliasSetId, getAntecedentId, getApplicationType, getAssembledFromId, getAuthors, getAuthorsCount, getBranchCount, getCabinetId, getChronicleId, getCollectionForContent, getCollectionForContentEx2, getCollectionForContentEx3, getCollectionForContentEx4, getComponentId, getComponentIdCount, getCompoundArchitecture, getContainId, getContainIdCount, getContent, getContentAvailability, getContentEx, getContentEx2, getContentEx3, getContentsId, getContentSize, getContentSize, getContentState, getContentStateCount, getContentType, getCreationDate, getCreatorName, getCurrentState, getCurrentStateName, getDirectDescendant, getDoubleContentAttr, getExceptionStateName, getFile, getFileEx, getFileEx2, getFolderId, getFolderIdCount, getFormat, getFrozenAssemblyCount, getFullText, getGroupName, getGroupPermit, getHasEvents, getHasFolder, getHasFrozenAssembly, getImplicitVersionLabel, getKeywords, getKeywordsCount, getLatestFlag, getLinkCount, getLinkHighCount, getLocations, getLockDate, getLockMachine, getLockOwner, getLogEntry, getMasterDocbase, getModifier, getModifyDate, getNextStateName, getOtherFileSize, getOwnerName, getOwnerPermit, getPageCount, getPath, getPathEx, getPathEx2, getPermissions, getPermit, getPermitEx, getPolicyId, getPolicyName, getPreviousStateName, getReferenceCount, getRemoteId, getRenditions, getResolutionLabel, getResumeState, getResumeStateName, getRetainerCount, getRetainerId, getRetainUntilDate, getRetentionDate, getRouters, getSpecialApp, getStatus, getStorageType, getStringContentAttr, getSubject, getTimeContentAttr, getTitle, getTypeName, getVdmPath, getVdmPathDQL, getVersionLabel, getVersionLabelCount, getVersionLabels, getVersionPolicy, getVersions, getWorkflows, getWorldPermit, getXPermit, getXPermitList, getXPermitNames, grant, grantPermit, hasPermission, insertContent, insertContentEx, insertFile, insertFileEx, insertPart, isArchived, isCheckedOut, isCheckedOutBy, isContentTransferCapabilityEnabled, isFrozen, isHidden, isImmutable, isLinkResolved, isPublic, isReference, isSuspended, isVirtualDocument, link, mark, mount, print, promote, prune, queue, refreshReference, removeContent, removeNote, removePart, removeRendition, removeRenditionEx, removeRenditionEx2, resolveAlias, resume, revertACL, revoke, revokePermit, saveAsNew, saveLock, scheduleDemote, schedulePromote, scheduleResume, scheduleSuspend, setACL, setACLDomain, setACLName, setApplicationType, setArchived, setAuthors, setCompoundArchitecture, setContent, setContentEx, setContentEx2, setContentType, setDoubleContentAttribute, setFile, setFileEx, setFullText, setGroupName, setGroupPermit, setHidden, setIsVirtualDocument, setKeywords, setLinkResolved, setLogEntry, setOwnerName, setOwnerPermit, setPath, setResolutionLabel, setSpecialApp, setStatus, setStorageType, setStringContentAttribute, setSubject, setTimeContentAttribute, setTitle, setWorldPermit, suspend, unfreeze, unlink, unmark, updatePart, updatePartEx, useACL, verifyESignature`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Field Details

  - ### CONFIG_TYPE_CS

    static final int CONFIG_TYPE_CS
    See Also:
      - Constant Field Values

  - ### CONFIG_TYPE_ACS

    static final int CONFIG_TYPE_ACS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getObjectName

    String getObjectName() throws DfException
    Returns the ACS name. The ACS name uniquely identifies ACS.
    Specified by:
      `getObjectName` in interface `IDfSysObject`
    Returns:
      name of the ACS.
    Throws:
      `DfException`

  - ### setObjectName

    void setObjectName(String objectName) throws DfException
    Sets the ACS name. The name must uniquely identify the ACS.
    Specified by:
      `setObjectName` in interface `IDfSysObject`
    Parameters:
      `objectName` - specifies the name of the ACS.
    Throws:
      `DfException` - if a server error occurs.

  - ### getServerConfigId

    IDfId getServerConfigId() throws DfException
    Returns the ID of the Content Server config object for the ACS.
    Returns:
      id of the Content Server config object for the ACS.
    Throws:
      `DfException` - if a server error occurs.

  - ### setServerConfigId

    void setServerConfigId(IDfId serverConfigId) throws DfException
    Sets the ID of the Content Server config object for the ACS.
    Parameters:
      `serverConfigId` - ID of the Content Server config object for the ACS.
    Throws:
      `DfException` - if a server error occurs.

  - ### getConfigType

    int getConfigType() throws DfException
    Returns type of the config. 0 - no projections, i.e. BOCS 1 - use server config for projection info 2 - use this ACS config for projection info
    Returns:
      type of the config.
    Throws:
      `DfException` - if a server error occurs.

  - ### setConfigType

    void setConfigType(int configType) throws DfException
    Sets type of the config.
    Parameters:
      `configType` - type of the config.
    Throws:
      `DfException` - if a server error occurs.

  - ### isEnabled

    boolean isEnabled() throws DfException
    Returns a flag indicating whether ACS is enabled
    Returns:
      true, if ACS is enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### isSurrogateGetEnabled

    boolean isSurrogateGetEnabled() throws DfException
    Returns a flag indicating whether both read and a "surrogate get" is enabled
    Returns:
      true, if both read and a "surrogate get" are enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### setEnabled

    void setEnabled(boolean isEnabled) throws DfException
    Sets a flag indicating whether ACS is enabled
    Parameters:
      `isEnabled` - if true, ACS is enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### setSurrogateGetEnabled

    void setSurrogateGetEnabled(boolean isEnabled) throws DfException
    Sets a flag indicating whether both read and a "surrogate get" is enabled. This also sets ACS enabled or disabled depending on a value of isEnabled parameter.
    Parameters:
      `isEnabled` - if true, both read and a "surrogate get" are enabled, false otherwise
    Throws:
      `DfException` - if a server error occurs.

  - ### getRWCapability

    int getRWCapability() throws DfException
    Deprecated.
    use isEnabled and isSurrogateGetEnabled methods
    Returns read/write ACS capability. The value is a bit mask, which allows more than one type of capability to be set at a time:

         0 = Unconfigured ACS
         1 = read
         2 = read+surrogateGet (for CS 5.3)
         3 = read+surrogateGet (for CS D6)

    Returns:
      read/write ACS capability.
    Throws:
      `DfException` - if a server error occurs.

  - ### setRWCapability

    void setRWCapability(int capability) throws DfException
    Deprecated.
    use setEnabled and setSurrogateGetEnabled methods
    Sets read/write ACS capability. The value is a bit mask, which allows more than one type of capability to be set at a time:

         0 = Unconfigured ACS
         1 = read
         2 = read+surrogateGet (for CS 5.3)
         3 = read+surrogateGet (for CS D6)

    Parameters:
      `capability` - read/write ACS capability.
    Throws:
      `DfException` - if a server error occurs.

  - ### getAcsNetworkLocationIdentifiers

    IDfList getAcsNetworkLocationIdentifiers() throws DfException
    Returns a list of the ACS network location identifiers.
    Returns:
      list of the ACS network location identifiers.
    Throws:
      `DfException` - if a server error occurs.

  - ### setAcsNetworkLocationIdentifiers

    void setAcsNetworkLocationIdentifiers(IDfList acsNetworkLocationIdentifiers) throws DfException
    Sets the ACS network location identifiers.
    Parameters:
      `acsNetworkLocationIdentifiers` - list of the ACS network location identifiers.
    Throws:
      `DfException` - if a server error occurs.

  - ### isCacheAcs

    boolean isCacheAcs() throws DfException
    Deprecated.
    as of version D6, use `IDfBocsConfig` for cache server config objects.
    Returns true if ACS is BOCS.
    Returns:
      true if ACS is BOCS, false otherwise.
    Throws:
      `DfException` - if a server error occurs.

  - ### setCacheAcs

    void setCacheAcs(boolean isCacheAcs) throws DfException
    Deprecated.
    as of version D6, use `IDfBocsConfig` for cache server config objects.
    Sets whether the ACS is BOCS.
    Parameters:
      `isCacheAcs` - true if ACS is BOCS, false otherwise.
    Throws:
      `DfException` - if a server error occurs.

  - ### getNearStores

    IDfList getNearStores() throws DfException
    Returns list of names of stores that are near the ACS.
    Returns:
      list of names of stores that are near the ACS.
    Throws:
      `DfException` - if a server error occurs.

  - ### setNearStores

    void setNearStores(IDfList nearStores) throws DfException
    Sets list of names of stores that are near the ACS.
    Parameters:
      `nearStores` - list of names of stores that are near the ACS.
    Throws:
      `DfException` - if a server error occurs.

  - ### newUrlEntry

    IDfAcsConfig.UrlEntry newUrlEntry(String url, String protocol) throws DfException
    Creates UrlEntry object.
    Parameters:
      `url` - url.
      `protocol` - protocol.
    Returns:
      UrlEntry object with the given url and port.
    Throws:
      `DfException` - if a server error occurs.

  - ### getUrlEntries

    IDfList getUrlEntries() throws DfException
    Returns list of UrlEntry objects.
    Returns:
      list of UrlEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### addUrlEntry

    void addUrlEntry(IDfAcsConfig.UrlEntry urlEntry) throws DfException
    Adds UrlEntry object.
    Parameters:
      `urlEntry` - UrlEntry object to be added.
    Throws:
      `DfException` - if a server error occurs.

  - ### setUrlEntries

    void setUrlEntries(IDfList urlEntries) throws DfException
    Replaces all UrlEntry objects.
    Parameters:
      `urlEntries` - list of UrlEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### newStoreEntry

    IDfAcsConfig.StoreEntry newStoreEntry(int storeType, int cryptoMode, int compressionMode) throws DfException
    Creates StoreEntry object.
    Parameters:
      `storeType` - type of a store to be added.
      `cryptoMode` - 1 if this ACS supports encryption for this store type, 0 if the ACS does not.
      `compressionMode` - 1 if this ACS supports compression for this store type, 0 if the ACS does not.
    Returns:
      StoreEntry object.
    Throws:
      `DfException` - if a server error occurs.

  - ### getStoreEntries

    IDfList getStoreEntries() throws DfException
    Returns list of StoreEntry objects.
    Returns:
      list of StoreEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### addStoreEntry

    void addStoreEntry(IDfAcsConfig.StoreEntry storeEntry) throws DfException
    Adds StoreEntry object.
    Parameters:
      `storeEntry` - StoreEntry object to be added.
    Throws:
      `DfException` - if a server error occurs.

  - ### setStoreEntries

    void setStoreEntries(IDfList storeEntries) throws DfException
    Replaces all StoreEntry objects.
    Parameters:
      `storeEntries` - list of StoreEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### getServerMajorVersion

    String getServerMajorVersion() throws DfException
    Returns server major version
    Returns:
      returns the server major version
    Throws:
      `DfException` - if a server error occurs

  - ### setServerMajorVersion

    void setServerMajorVersion(String majorVersion) throws DfException
    Sets server major version
    Parameters:
      `majorVersion` - server major version
    Throws:
      `DfException` - if a server error occurs

  - ### getServerMinorVersion

    String getServerMinorVersion() throws DfException
    Returns the server minor version
    Returns:
      returns the server minor version
    Throws:
      `DfException` - if a server error occurs

  - ### setServerMinorVersion

    void setServerMinorVersion(String minorVersion) throws DfException
    Sets the server minor version
    Parameters:
      `minorVersion` - server minor version
    Throws:
      `DfException` - if a server error occurs

  - ### newProjectionEntry

    IDfAcsConfig.ProjectionEntry newProjectionEntry(String host, int port, int proximity) throws DfException
    Creates ProjectionEntry object.
    Parameters:
      `host` - The host.
      `port` - The port.
      `proximity` - The proximity of the host.
    Returns:
      ProjectionEntry object.
    Throws:
      `DfException` - if a server error occurs.

  - ### newProjectionEntry

    IDfAcsConfig.ProjectionEntry newProjectionEntry(String networkLocationIdentifier, int proximity) throws DfException
    Creates ProjectionEntry object.
    Parameters:
      `networkLocationIdentifier` - Network location identifier.
      `proximity` - The proximity of the host.
    Returns:
      ProjectionEntry object.
    Throws:
      `DfException` - if a server error occurs.

  - ### newProjectionEntry

    IDfAcsConfig.ProjectionEntry newProjectionEntry(String host, int port, int proximity, boolean isEnabled, String networkLocationIdentifier, boolean isNetworkLocationEnabled) throws DfException
    Creates ProjectionEntry object.
    Parameters:
      `host` - The host.
      `port` - The port.
      `proximity` - The proximity of the host.
      `isEnabled` - Indicates if the host is enabled.
      `networkLocationIdentifier` - Network location identifier.
      `isNetworkLocationEnabled` - Indicates if the network location is enabled.
    Returns:
      ProjectionEntry object.
    Throws:
      `DfException` - if a server error occurs.

  - ### getProjectionEntries

    IDfList getProjectionEntries() throws DfException
    Returns list of ProjectionEntry objects.
    Returns:
      list of ProjectionEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### addProjectionEntry

    void addProjectionEntry(IDfAcsConfig.ProjectionEntry projectionEntry) throws DfException
    Adds ProjectionEntry object.
    Parameters:
      `projectionEntry` - ProjectionEntry object to be added.
    Throws:
      `DfException` - if a server error occurs.

  - ### setProjectionEntries

    void setProjectionEntries(IDfList projectionEntries) throws DfException
    Replace all ProjectionEntry objects.
    Parameters:
      `projectionEntries` - list of ProjectionEntry objects.
    Throws:
      `DfException` - if a server error occurs.

  - ### getDormancyStatus

    String getDormancyStatus() throws DfException
    Gets the dormancy status for this ACS
    Returns:
      a String representing the status of ACS. Valid values are ACTIVE and DORMANT
    Throws:
      `DfException` - if an error occurs while retrieving this attribute